var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "react/jsx-runtime";
// ============================================================================
// Chatbot Main - Message - Content - Table
// ============================================================================
import { Children, cloneElement } from 'react';
import { Tbody } from '@patternfly/react-table';
const TbodyProps = (_a) => {
    var { children } = _a, props = __rest(_a, ["children"]);
    // passthrough so we can place dataLabel on tds
    const modifyChildren = (children) => {
        if (children && props.extraHeaders) {
            return Children.map(children, (child) => cloneElement(child, { extraHeaders: props.extraHeaders }));
        }
        return children;
    };
    return _jsx(Tbody, Object.assign({}, props, { children: modifyChildren(children) }));
};
export default TbodyProps;
